> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roboconoxon.org.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Create User



## OpenAPI

````yaml /openapi.json post /api/v1/users
openapi: 3.1.0
info:
  title: Robotics Event System V4
  version: 4.0.0
servers: []
security: []
paths:
  /api/v1/users:
    post:
      tags:
        - users
      summary: Create User
      operationId: create_user_api_v1_users_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserCreate'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserOut'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    UserCreate:
      properties:
        username:
          type: string
          title: Username
        password:
          type: string
          title: Password
        is_admin:
          type: boolean
          title: Is Admin
          default: false
        is_playing:
          type: boolean
          title: Is Playing
          default: false
        robot_ip:
          anyOf:
            - type: string
            - type: 'null'
          title: Robot Ip
      type: object
      required:
        - username
        - password
      title: UserCreate
    UserOut:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        is_admin:
          type: boolean
          title: Is Admin
        is_playing:
          type: boolean
          title: Is Playing
        eliminated:
          type: boolean
          title: Eliminated
        robot_ip:
          anyOf:
            - type: string
            - type: 'null'
          title: Robot Ip
      type: object
      required:
        - id
        - name
        - is_admin
        - is_playing
        - eliminated
        - robot_ip
      title: UserOut
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````